<?php
include '../config.php';
//ini_set('error_logs', 'off');
//error_reporting(0);
//=======================================================
$send = mysqli_fetch_assoc(mysqli_query($connect, "SELECT * FROM `sendall` LIMIT 1"));
/*
نویسنده : 
@SeniorMehdy
اپن شده در :
@MahdyBots
اگر برای ناموست ارزش قائلی منبع بزن
*/
function bot($method, $datas = [])
{
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, 'https://api.telegram.org/bot' . API_KEY . '/' . $method);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $datas);
    return json_decode(curl_exec($ch));
}
//======================// send //=======================
/*
نویسنده : 
@SeniorMehdy
اپن شده در :
@MahdyBots
اگر برای ناموست ارزش قائلی منبع بزن
*/
if ($send['step'] == 'send')
{
    $alluser = mysqli_num_rows(mysqli_query($connect, "select id from `user`"));
    $users = mysqli_query($connect, "SELECT id FROM `user` LIMIT 100 OFFSET {$send['user']}");
    if ($send['chat'] == false)
    {
        while ($row = mysqli_fetch_assoc($users)) bot('sendmessage', ['chat_id' => $row['id'], 'text' => $send['text'], ]);
    }
    else
    {
        while ($row = mysqli_fetch_assoc($users)) bot('sendphoto', ['chat_id' => $row['id'], 'photo' => $send['chat'], 'caption' => $send['text'], ]);
    }
    $connect->query("UPDATE `sendall` SET `user` = `user` + 100 LIMIT 1");
    if ($send['user'] + 100 >= $alluser)
    {
        bot('sendmessage', ['chat_id' => $admin[0], 'text' => "📍 پیام برای همه کاربران ارسال شد", ]);
        $connect->query("UPDATE `sendall` SET `step` = 'none' , `text` = NULL , `user` = '0' , `chat` = '' LIMIT 1");
    }
}
//======================// forward //=======================
/*
نویسنده : 
@SeniorMehdy
اپن شده در :
@MahdyBots
اگر برای ناموست ارزش قائلی منبع بزن
*/
elseif ($send['step'] == 'forward')
{
    $alluser = mysqli_num_rows(mysqli_query($connect, "select id from `user`"));
    $users = mysqli_query($connect, "SELECT id FROM `user` LIMIT 100 OFFSET {$send['user']}");
    while ($row = mysqli_fetch_assoc($users)) bot('ForwardMessage', ['chat_id' => $row['id'], 'from_chat_id' => $send['chat'], 'message_id' => $send['text'], ]);
    $connect->query("UPDATE `sendall` SET `user` = `user` + 100 LIMIT 1");
    if ($send['user'] + 100 >= $alluser)
    {
        bot('sendmessage', ['chat_id' => $admin[0], 'text' => "📍 پیام برای همه کاربران فوروارد شد", ]);
        $connect->query("UPDATE `sendall` SET `step` = 'none' , `text` = NULL , `user` = '0' , `chat` = '' LIMIT 1");
    }
}
//======================// close //=======================
mysqli_close($connect);
echo "done";
?>